<?php
@ini_set('display_errors', '1');
error_reporting(E_ALL);
session_start();

$servername = "localhost"; 
$username = "catalogo_aion";
$password = "aionroot0713";
$dbname = "catalogo_padrao";


$whatasappn  =$_POST["whatasappn"];
$instagramp  =$_POST["instagramp"];
$facebookp  =$_POST["facebookp"];
$link  =$_POST["link"];
$endereco  =$_POST["endereco"];
$fotocontcont  =$_POST["fotocont"];
$destaquesc  =$_POST["destaquesc"];

$conn = new mysqli($servername, $username, $password, $dbname);
if(isset($_FILES['fotocont']))
   {
      date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

      $ext = strtolower(substr($_FILES['fotocont']['name'],-4)); //Pegando extensão do arquivo
      $new_name1 = "fotocont"."$codigo"."$ext"; //Definindo um novo nome para o arquivo
      $dir = 'imagens/'; //Diretório para uploads

      move_uploaded_file($_FILES['fotocont']['tmp_name'], $dir.$new_name1); //Fazer upload do arquivo
   }


$sql = "INSERT INTO contatos (whatasappn, instagramp, facebookp, link, endereco, fotocont, destaquesc)
VALUES ('$whatasappn', '$instagramp', '$facebookp', '$link', '$endereco', '$fotocont', '$destaquesc')"; 

if ($conn->query($sql) === TRUE) {
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}
 


$conn->close();
?>